> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 用户每日用量

> 返回指定用户的每日用量

需要企业管理员的个人 API key。

返回你所在企业账户中指定用户的每日 ACU 使用量数据。

<div id="timezone-behavior">
  ## 时区行为
</div>

计费周期以 **太平洋标准时间 (PST) 午夜** 作为日期边界，对应 **UTC 时间 08:00:00**。要与 Devin 仪表板中显示的使用量数据保持一致，必须提供带有该时区偏移量的时间戳。详情和示例请参见 [Daily Consumption](/zh/api-reference/v2/consumption/daily-consumption#timezone-behavior)。

<div id="filtering-by-organization">
  ## 按组织筛选
</div>

在按 `org_ids` 进行筛选时，结果只会包含 Devin 会话的 ACU。由 Cascade 和 Terminal 消耗的 ACU 将被忽略，因为这些产品的用量不隶属于任何组织。


## OpenAPI

````yaml zh/v2-openapi.yaml GET /v2/enterprise/consumption/daily/{user_id}
openapi: 3.1.0
info:
  description: 供企业管理员使用的 Devin v2 API（个人 API key）
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/consumption/daily/{user_id}:
    get:
      tags:
        - consumption
      summary: 用户每日用量接口
      description: >-
        返回指定用户的每日使用量。默认使用当前结算周期。


        **时区行为**：结算周期以太平洋标准时间（PST）午夜作为每天的边界，对应协调世界时（UTC）08:00:00。若要与 Devin
        控制台中显示的使用量数据保持一致，请在请求中使用带有该时区偏移量的时间戳（例如，PST 时间 2025 年 12 月 5 日应使用
        `2025-12-05T08:00:00Z`）。
      operationId: >-
        user_daily_consumption_endpoint_v2_enterprise_consumption_daily__user_id__get
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            title: User Id
            type: string
        - in: query
          name: start_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start Date
        - in: query
          name: end_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End Date
        - in: query
          name: start
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start
        - in: query
          name: end
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End
        - in: query
          name: org_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Org Ids
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserConsumptionResponse'
          description: 成功的响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 校验错误
components:
  schemas:
    UserConsumptionResponse:
      properties:
        consumption_by_date:
          additionalProperties:
            type: number
          propertyNames:
            format: date
          title: Consumption By Date
          type: object
        consumption_by_org_id:
          additionalProperties:
            type: number
          title: Consumption By Org Id
          type: object
        total_acus:
          title: Total Acus
          type: number
      required:
        - total_acus
        - consumption_by_date
        - consumption_by_org_id
      title: UserConsumptionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 仅供 Enterprise 管理员使用的个人 API Key（apk_user_*）
      scheme: bearer
      type: http

````